Create the LDAP management access configuration for an event broker service

LDAP management access allows members of LDAP groups to manage the event broker service. The configuration specifies the LDAP attribute containing group membership, and maps groups to Mission Control Manager, Mission Control Editor, and Mission Control Viewer access. An event broker service can have at most one LDAP management access configuration.

Management users are authenticated against the management LDAP authentication profile, which must already exist on the event broker service. The profile name is not part of the request: it is always management, and is returned by the GET API.

If the event broker service already has LDAP management access configured, the API returns a 409 Conflict. Use the PATCH API to update the existing configuration.

Your token must have one of the permissions listed in the Token Permissions.



Token Permissions: [ mission_control:access or services:post or service_requests:post:ldap_management ]
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The unique identifier of the event broker service.

Body Params

The LDAP management access to create.

string
required

The name of the LDAP attribute that carries the group membership of a management user.

readOnlyGroupNames
array of strings

The LDAP groups whose members are granted Mission Control Viewer access to the event broker service.

readOnlyGroupNames
readWriteGroupNames
array of strings

The LDAP groups whose members are granted Mission Control Editor access to the event broker service.

readWriteGroupNames
meshManagerGroupNames
array of strings

The LDAP groups whose members are granted Mission Control Manager access to the event broker service. The event broker service must support the Mission Control Manager role.

meshManagerGroupNames
boolean
required

Indicates whether management users are authenticated against the LDAP authentication profile. The valid values are 'true' (enabled) or 'false' (disabled).

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
*/*